package com.bernard.greposimu.model.game.units;

import java.util.Map;
import java.util.Set;

import com.bernard.greposimu.model.game.God;
import com.bernard.greposimu.model.game.Resources;
import com.bernard.greposimu.model.game.researches.Research;

public class NavalUnit extends Unit {

	int attack;
	int defense;
	
	public NavalUnit(String id, String name, String description, int population, int speed, boolean mythological, God god,
			Resources buildCost, int favorCost, int buildTime, Set<Research> research_dependencies,
			Map<String, Integer> building_dependencies,int attack, int defense) {
		this.id = id;
		this.name = name;
		this.description = description;
		this.population = population;
		this.speed = speed;
		this.mythological = mythological;
		this.god = god;
		this.buildCost = buildCost;
		this.favorCost = favorCost;
		this.buildTime = buildTime;
		this.research_dependencies = research_dependencies;
		this.building_dependencies = building_dependencies;
		this.attack = attack;
		this.defense = defense;
	}
	
	public int getAttack() {
		return attack;
	}
	
	public int getDefense() {
		return defense;
	}

	@Override
	public boolean isGround() {
		return false;
	}
	
}
